Name:			viking
Version:		1.6.2
Release:		%mkrel 1
Summary:		Global positioning system (GPS) and mapping manager
Group:			Geography
License:		GPLv2+
URL:			http://viking.sourceforge.net
Source:			http://prdownloads.sourceforge.net/viking/%{name}-%{version}.tar.bz2

BuildRequires:		expat-devel 
BuildRequires:		curl-devel 
BuildRequires:		gpsd-devel
BuildRequires:		intltool 
BuildRequires:		imagemagick
BuildRequires:		pkgconfig(gio-2.0) >= 2.12
BuildRequires:		pkgconfig(glib-2.0) >= 2.12
BuildRequires:		pkgconfig(gthread-2.0) >= 2.2
BuildRequires:		pkgconfig(gtk+-2.0) >= 2.12
BuildRequires:		pkgconfig(gexiv2)
BuildRequires:		pkgconfig(sqlite3)
BuildRequires:		gnome-doc-utils >= 0.3.2
BuildRequires:		magic-devel

Requires:		gpsbabel

%description
Viking is a free/open source program to manage GPS data. You can import and
plot tracks and way-points, show Terraserver maps under it, add coordinate
lines, make new tracks and way-points, hide different things, etc.

%prep
%setup -q

%build
%configure2_5x --disable-mapnik
%make

%install
%make_install

desktop-file-install \
  --remove-key="Version" \
  --remove-category="Maps" \
  --add-category="X-Maps" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING TODO NEWS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/


%changelog
* Mon Jan 11 2016 daviddavid <daviddavid> 1.6.2-1.mga6
+ Revision: 921783
- new version: 1.6.2

* Wed Dec 30 2015 daviddavid <daviddavid> 1.6.1-1.mga6
+ Revision: 916917
- new version: 1.6.1 (fix build with new gpsd 3.15)
- update BuildRequires
- disable mapnik support
- update file list
- rebuild for new gpsd 3.15

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-3.mga5
+ Revision: 747227
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-2.mga5
+ Revision: 690208
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 1.5.1-1.mga5
+ Revision: 643862
- 1.5.1

* Tue May 20 2014 luigiwalser <luigiwalser> 1.5-3.mga5
+ Revision: 623995
- rebuild for gpsd

* Sat Oct 19 2013 umeabot <umeabot> 1.5-2.mga4
+ Revision: 523827
- Mageia 4 Mass Rebuild

  + oden <oden>
    - 1.5

* Sat May 25 2013 shlomif <shlomif> 1.4.1-2.mga4
+ Revision: 427558
- Fix the .desktop file
- New version 1.4.1

* Mon Jan 14 2013 umeabot <umeabot> 1.3.2.1-2.mga3
+ Revision: 385414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.3.2.1-1.mga3
+ Revision: 330190
- New version 1.3.2.1

* Wed Oct 03 2012 malo <malo> 1.3-3.mga3
+ Revision: 302515
- update RPM group

* Tue May 29 2012 shlomif <shlomif> 1.3-2.mga3
+ Revision: 248910
- libexif-devel is required for full functionality.
- New version: 1.3

* Mon Jan 02 2012 fwang <fwang> 1.2.2-1.mga2
+ Revision: 189657
- add fedora patch to build with latest gps
- new version 1.2.2
- cleanup spec

* Fri Sep 23 2011 shlomif <shlomif> 1.2.1-3.mga2
+ Revision: 147114
- Add more BuildRequires (thanks to barjac)
- Add a missing BuildRequire (thanks to barjac)
- imported package viking


* Wed Sep 21 2011 Barry Jackson <zen25000[at]zen.co.uk> 1.2.1-1.mga2
- Patch to remove obsolete #include
- Invalid BuildRequire removed
- Duplicated files removed
- Tabs / spaces tidied
- Clean removed, defattr removed, buildroot removed

* Fri Jun 17 2011 Olivier Delaune <olivier.delaune@wanadoo.fr> 1.2.1-1.mga1
- Specfile adaptations for Mageia
